Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 989546 - PRD35 - [RFE] Re-work engine ovirt-node host-deploy sequence
Summary: PRD35 - [RFE] Re-work engine ovirt-node host-deploy sequence
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 3.5.0
Assignee: Ravi Nori
QA Contact: Jiri Belka
URL:
Whiteboard: infra
Depends On: 1065739 1090796
Blocks: rhev3.5beta 1156165
TreeView+ depends on / blocked
 
Reported: 2013-07-29 13:47 UTC by Alon Bar-Lev
Modified: 2016-02-10 19:22 UTC (History)
11 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-11 17:54:16 UTC
oVirt Team: Infra
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0158 normal SHIPPED_LIVE Important: Red Hat Enterprise Virtualization Manager 3.5.0 2015-02-11 22:38:50 UTC
oVirt gerrit 25685 None None None Never

Description Alon Bar-Lev 2013-07-29 13:47:55 UTC
CURRENT IMPLEMENTATION

ovirt-node can be either added like regular host or registered/approved.

Once added, it can only be upgraded.

NEW IMPLEMENTATION

Support two options:

1. ovirt-node upgrade - as in current implementation.

2. ovirt-node reinstall - behaves as host re-install, just perform the host-deploy again.

REASONING

If ovirt-node was reinstalled, or there was other issues like require to re-enroll certificate, there is no need to upgrade node to different version, just to deploy again.

APPENDIXES

While doing this work, please also separate the VdsInstallCommand into two commands, once for installation/reinstallation (both node and host), and one for ovirt-node upgrade. These two logics resides within the same command which is invalid.

Comment 1 Alon Bar-Lev 2014-03-07 20:06:12 UTC
Hi Ravi,

Following bug#1065739, here is more complete work requires to cleanup the host-deploy.

Yaniv was to be assigned to this, but maybe it will be easy for you.

Thanks,
Alon

Comment 2 Jiri Belka 2014-07-07 08:05:37 UTC
Please check TCMS plan, if any comments please get in touch. If OK, then reset the flag. Thanks!

Comment 3 Ravi Nori 2014-07-07 11:08:41 UTC
The TCMS plan looks good

Comment 4 Jiri Belka 2014-07-08 14:52:30 UTC
ok, ovirt-engine-webadmin-portal-3.5.0-0.0.master.20140629172257.git0b16ed7.el6.noarch

Comment 6 errata-xmlrpc 2015-02-11 17:54:16 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0158.html


Note You need to log in before you can comment on or make changes to this bug.